# Interface CompileTester.LineClause<T>

Type Parameters:
  `T` - the clause type returned by `CompileTester.ChainingClause.and()`

All Superinterfaces:
  `CompileTester.ChainingClause<T>`

Enclosing interface:
  `CompileTester`

public static interface CompileTester.LineClause<T> extends CompileTester.ChainingClause<T>
The clause in the fluent API that checks that a diagnostic is on a particular line.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`CompileTester.ColumnClause<T>`
`onLine(long lineNumber)`

### Methods inherited from interface CompileTester.ChainingClause

`and`

## Method Details

### onLine

@CanIgnoreReturnValue CompileTester.ColumnClause<T> onLine(long lineNumber)